#!/usr/bin/perl

use Imager::QRCode;
use CGI;
$q = new CGI;
$pm = $q->param("data");
$sz = $q->param("size");
$ecc = $q->param("ecc");
unless($pm){
	$pm = 'http://www.hasiru.net/';
}
unless($sz){
	$sz = 4;
}
unless($ecc){
	$ecc = 'M';
}
my $qrcode = Imager::QRCode->new(
        size          => $sz,
        margin        => 2,
        version       => 0,
        level         => $ecc,
        casesensitive => 1,
        lightcolor    => Imager::Color->new(255, 255, 255),
        darkcolor     => Imager::Color->new(0, 0, 0),
);
$img = $qrcode->plot($pm);
binmode(STDOUT);
print "Content-Type: image/png\n\n";
$img->write(fh => \*STDOUT, type => 'png');
